# Copy a template

Copies an existing template into new templates with the provided names and account IDs.

Endpoint: PUT /v3/{domain_name}/templates/{template_name}/copy
Version: 3.0.0
Security: basicAuth

## Path parameters:

  - `domain_name` (string, required)
    Domain name the template is associated with.

  - `template_name` (string, required)
    The name of the source template

## Request fields (application/json):

  - `requests` (array, required)
    List of copy requests

  - `requests.account_id` (string, required)
    Target account ID to copy the template to

  - `requests.name` (string, required)
    Name of the new template in the target account

  - `requests.domain` (string)
    Domain of the new template in the target account

  - `source_versions` (array)
    Versions to copy or all versions if empty.

## Response 200 fields (application/json):

  - `message` (string, required)
    Response message

  - `failed_copies` (array, required)
    Failed copy requests

  - `failed_copies.account_id` (string, required)
    Target account ID to copy the template to

  - `failed_copies.name` (string, required)
    Name of the new template in the target account

  - `failed_copies.domain` (string)
    Domain of the new template in the target account

  - `error` (string)
    A error that occurred during copying

## Response 400 fields (application/json):

  - `Response` (object, required)

  - `Status` (integer, required)

## Response 401 fields (application/json):

  - `message` (string, required)
    Response message

## Response 404 fields (application/json):

  - `message` (string, required)
    Response message

## Response 500 fields (application/json):

  - `message` (string, required)
    Response message


